<?
  include("../fnc.php");
  enlinea_c();
  session_start();

  if(!$tipo_trn){
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

  switch($tipo_trn){
   case "Add":
   if(!$txtactiva){$txtactiva="N";}
   if(!$txtelectronica){$txtelectronica="N";}
   if(!isset($txtinczona)){$txtinczona="N";}
   if(!isset($txtincexamen)){$txtincexamen="N";}

   if(!checkdate($txtmes, $txtdia, $txtyear)){
     alert("Fecha inválida","javascript:history.go(-1)");
   }

   $fechat="$txtyear-$txtmes-$txtdia";
   $id_gr=$_SESSION["grado_id"];
   $id_cr=$_SESSION["curso_id"];
   $id_sec=$_SESSION["seccion_id"];
   $id_und=$_SESSION["unidad_id"];

   if(!$txtlink or $txtlink=="http://"){
    $txtlink="";
   }

   $sql="insert into
         tareas
         set 
         tarea='$txtnombre',
         descripcion='$txtdescripcion',
         fecha_limite='$fechat',
         hora_limite='$txthora:$txtminutos:00',
         link='$txtlink',
         curso='$id_cr',
         grado='$id_gr',
         activa='$txtactiva',
         electronica='$txtelectronica',
         seccion='$id_sec',
         valor_zona='$txtvzona',
         valor_examen='$txtvexamen',
         zona='$txtinczona',
         unidad='$id_und',
         examen='$txtincexamen',
         oculta='$txtoculta',
         fecha='$fecha',
         usuario='$uuser'";

   $ins=runsql($sql);
   $id_tr=mysql_insert_id();

   $file="";
   $txtarchivo=$_FILES['txtarchivo']['tmp_name'];
   
   if($txtarchivo){
     $narchivo=$_FILES['txtarchivo']['name'];
     $narchivo=str_replace(" ","_",$narchivo);
     $tmparchivo=$txtarchivo;
     @mkdir("../tareas");
     $file="/tareas/$id_tr/$narchivo";
     @mkdir("../tareas/$id_tr",0777);
     if(copy($txtarchivo,"../tareas/$id_tr/$narchivo")){

     $sqlupd="update tareas
              set archivo='$file'
              where id = $id_tr";

     $upd=mysql_query($sqlupd);
     }
   }
   
   //ciclo para agregar la tarea a varios cursos
   for($i=1;$i<=$max_cur_add;$i++){
   $tmpc="curso_add$i";
   
   if(!empty($$tmpc)){
    $tmpu="unidad_add$i";
    $tmpg="grado_add$i";
    $tmps="seccion_add$i";
    
    $id_cr=$$tmpc;
    $id_und=$$tmpu;
    $id_gr=$$tmpg;
    $id_sec=$$tmps;
    
    $qvptszona=mysql_query("select * from zonas_unidades 
                            where 
                            unidad = '$id_und' 
                            and curso='$id_cr' 
                            and seccion ='$id_sec'
                            and grado = '$id_gr'");
                            
    $imaxvzona=mysql_fetch_array($qvptszona);
    
    $qzonat=mysql_query("select sum(valor_zona) as tzona 
                         from tareas
                         where
                         curso = '$id_cr'
                         and grado='$id_gr'
                         and seccion='$id_sec'
                         and unidad = '$id_und'
                         and zona = 'S'
                         and activa = 'S'");
    $izonat=mysql_fetch_array($qzonat);
    
    $qzonae=mysql_query("select sum(valor_zona) as tzona 
                         from evaluaciones
                         where
                         curso = '$id_cr'
                         and seccion='$id_sec'
                         and unidad = '$id_und'
                         and zona = 'S'");
    $izonae=mysql_fetch_array($qzonae);
    
    $suma_zona=$izonat[tzona]+$izonae[tzona];
    
    //echo "Zona total: {$imaxvzona[zona]} | Tareas: {$izonat[tzona]} / Evaluaciones: {$izonae[tzona]} -> Suma: $suma_zona<Br>";
    
    
    
    if($imaxvzona[zona] >= ($suma_zona+$txtvzona) ){
      $txtvzona2=$txtvzona;
    }else{
      $txtvzona2=0;
    }
    
    $sql="insert into
          tareas
          set 
          tarea='$txtnombre',
          descripcion='$txtdescripcion',
          fecha_limite='$fechat',
          hora_limite='$txthora:$txtminutos:00',
          link='$txtlink',
          curso='$id_cr',
          grado='$id_gr',
          activa='$txtactiva',
          electronica='$txtelectronica',
          seccion='$id_sec',
          valor_zona='$txtvzona2',
          valor_examen='$txtvexamen',
          zona='$txtinczona',
          oculta='$txtoculta',
          unidad='$id_und',
          examen='$txtincexamen',
          fecha='$fecha',
          usuario='$uuser'";

    //echo $sql."<Hr>";
    //continue;
    $ins=mysql_query($sql);
    $id_tr=mysql_insert_id();  

    $file="";
    if($txtarchivo){
     $narchivo=$_FILES['txtarchivo']['name'];
     $narchivo=str_replace(" ","_",$narchivo);
     $tmparchivo=$txtarchivo;
     @mkdir("../tareas");
     $file="/tareas/$id_tr/$narchivo";
     @mkdir("../tareas/$id_tr","0777");
     copy($txtarchivo,"../tareas/$id_tr/$narchivo");

     $sqlupd="update tareas
              set archivo='$file'
              where id = $id_tr";

     $upd=mysql_query($sqlupd);
    }
   }
   }//fin del ciclo para agregar la tarea a varios cursos
   
   //alert("Tarea agregada con éxito","frm_agregar_tarea.php");
   //alert("Tarea agregada con éxito","frm_tarea.php?idg=$idg&ids=$ids&idc=$idc&idu=$idu&idj=$idj&idn=$idn");
   header("Location: inicio.php?msg=Tarea agregada con éxito#tareas");
   exit();
   break; // fin de agregar una nueva tarea

   //********************** ACTUALIZACION **************************//
   case "Update":
   if(!checkdate($txtmes, $txtdia, $txtyear)){
     alert("Fecha inválida","javascript:history.go(-1)");
   }

   if(!$txtactiva){$txtactiva="N";}
   if(!$txtoculta){$txtoculta="N";}
   if(!$txtelectronica){$txtelectronica="N";}
   if(!isset($txtinczona)){$txtinczona="N";}
   if(!isset($txtincexamen)){$txtincexamen="N";}
   if(!isset($txtvexamen)){$txtvexamen="0";}
   if(!isset($txtvzona)){$txtvzona="0";}

   $fechat="$txtyear-$txtmes-$txtdia";
   $id_gr=$_SESSION["grado_id"];
   $id_cr=$_SESSION["curso_id"];
   $id_tr=dec($idt);
   $id_und=$_SESSION["unidad_id"];
   

   if(!$txtlink or $txtlink=="http://"){
    $txtlink="";
   }

   $sql="update
         tareas
         set tarea='$txtnombre',
         descripcion='$txtdescripcion',
         fecha_limite='$fechat',
         hora_limite='$txthora:$txtminutos:00',
         link='$txtlink',
         curso='$id_cr',
         grado='$id_gr',
         usuario='$uuser',
         activa='$txtactiva',
         electronica='$txtelectronica',
         valor_zona='$txtvzona',
         valor_examen='$txtvexamen',
         zona='$txtinczona',
         unidad='$id_und',
         oculta='$txtoculta',
         examen='$txtincexamen'
         where id = $id_tr";

   $ins=mysql_query($sql);

   $txtarchivo=$_FILES['txtarchivo']['tmp_name'];
   $file="";
   if($txtarchivo){
     $qarchivo=mysql_query("select archivo from tareas where id = $id_tr");
     $iarchivo=mysql_fetch_array($qarchivo);
     @unlink("../".$iarchivo[archivo]);
     $narchivo=$_FILES['txtarchivo']['name'];
     $narchivo=str_replace(" ","_",$narchivo);
     $tmparchivo=$txtarchivo;
     $file="/tareas/$id_tr/$narchivo";
     @mkdir("../tareas/$id_tr",0777);
     @chmod("../tareas/$id_tr",0777);
     if(copy($txtarchivo,"../tareas/$id_tr/$narchivo")){

      $sqlupd="update tareas
               set archivo='$file'
               where id = $id_tr";

      $upd=mysql_query($sqlupd);
    }
   }

   //alert("Tarea actualizada con éxito","frm_mis_tareas.php?gid=$idg&cid=$idc&uid=$idu&sid=$ids");
   header("Location: ./inicio.php?msg=Tarea actualizada#tareas");
   exit();

   break;
   case "Status":
                   $id_tr=dec($tid);
                   $sql="update tareas
                         set
                         activa='$status'
                         where id = $id_tr";
                   $res=mysql_query($sql);
                   //header("Location: frm_mis_tareas.php?gid=$idg&cid=$idc&uid=$uid&sid=$sid&idj=$idj&idn=$idn");
                   redireccionar("inicio.php#tareas");
   break;

   case "Delete":
                   $id_tr=dec($tid);
                   $sql="delete from tareas
                         where id = $id_tr";
//                   echo $sql;
                   $res=runsql($sql);
                   //header("Location: frm_mis_tareas.php?gid=$idg&cid=$idc&uid=$uid&sid=$sid&idj=$idj&idn=$idn");
                   redireccionar("inicio.php#tareas");
   break;

   default: alert("Parámetros incorrectos","javascript:history.go(-1)");
   break;
  }
?>
